// MY_TIMER.CPP (dos version) v1.00
// - Scott McPeak, November 1994
// portable time routines for use with DOS

#include <sys/timeb.h>
#include "my_timer.h"

static timeb starttb;

void my_timer_start()
{
  ftime(&starttb);
}


double my_timer_seconds()
{
  timeb nowtb;
  ftime(&nowtb);

  return (double)(nowtb.time - starttb.time)
       + (double)(nowtb.millitm - starttb.millitm) / 1000.0;
}

